General plugin failure if "username" in C:/Documents and Settings/username has non-ascii

characters
2010-03-07 04:11 AM - alobo -

Status: Closed

Priority: Low

Assignee:

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12572
Description

The current windows install sets the
.qgis/python/plugind directory under
C:/Documents and Settings/username

which results on general plugin failure in the case "username" has non-ascii
characters, i.e.

'C:/Documents and Settings/Mauro RodrA-guez Rey/.qgis/python’

A solution would be to optionally set the .qgis directory to another
place.

Not sure if this problem would also occur for non-windows installations.

Agus

Related issues:
Duplicated by QGIS Application - Bug report # 6746: Plugin installation fails... Closed

2012-11-21

Associated revisions

Revision 8824da01 - 2010-03-07 05:19 PM - Jiirgen Fischer

fix #2512

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13013 ¢8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 3339396 - 2010-03-07 05:19 PM - Jiirgen Fischer

fix #2512

git-svn-id: http://svn.osgeo.org/qgis/trunk@13013 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 4cb37b1a - 2013-10-10 11:55 PM - Jiirgen Fischer

support for python plugin directory with accents in username (fixes #2512 again)

2025-04-27

12



http://svn.osgeo.org/qgis/trunk/qgis@13013
History

#1 - 2010-03-07 07:32 AM - Giovanni Manghi

Hi,

to be more specific, for "general failure" it is meant that the python plugins do not install when the windows username includes non-ascii chars.

As far as | know this does not affects installations on linux, but would be better to double check.

#2 - 2010-03-07 08:19 AM - Jiirgen Fischer

- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:3e339396 (SVN r13014).
